﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ClipboardTest
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ReloadButton_Click(object sender, RoutedEventArgs e)
        {
            ReloadSystemClipboardList();
        }

        private void SystemClipboardList_Loaded(object sender, RoutedEventArgs e)
        {
            ReloadSystemClipboardList();
        }

        private void ReloadSystemClipboardList()
        {
            SystemClipboardList.Items.Clear();

            foreach (string content in Clipboard.GetFileDropList())
                SystemClipboardList.Items.Add(content);
        }

        private void ClearButton_Click(object sender, RoutedEventArgs e)
        {
            Clipboard.Clear();
            ReloadSystemClipboardList();
        }

        private void ToClipboardButton_Click(object sender, RoutedEventArgs e)
        {
            StringCollection stringCol = new StringCollection();
            foreach (string item in ProgrammClipboardList.Items)
                stringCol.Add(item);

            Clipboard.SetFileDropList(stringCol);            

            ReloadSystemClipboardList();
        }

        private void AddButton_Click(object sender, RoutedEventArgs e)
        {
            ProgrammClipboardList.SelectedIndex = -1;

            System.Windows.Forms.OpenFileDialog ofdialog = new System.Windows.Forms.OpenFileDialog();
            ofdialog.Multiselect = true;

            if (ofdialog.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                foreach (string file in ofdialog.FileNames)
                    ProgrammClipboardList.Items.Add(file);
        }

        private void RemoveButton_Click(object sender, RoutedEventArgs e)
        {
            if (ProgrammClipboardList.SelectedItems.Count > 0)
                while (ProgrammClipboardList.SelectedItems.Count > 0)
                    ProgrammClipboardList.Items.Remove(ProgrammClipboardList.SelectedItems[0]);
            else
                ProgrammClipboardList.Items.Clear();
        }
    }
}
